Subject: bug#32087: gcc -m32 can't find stubs-32.h

From: Clément Lassieur <[email-masked]>
Date: Tue, 10 Jul 2018 16:13:46 +0200

Ricardo Wurmus <[email-masked]> writes:

> Clément Lassieur <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> writes:
>>
>>> David Larsson <[email-masked]> writes:
>>>
>>>> I tried to run gcc to compile a simple c program which fails:
>>>
>>> Are you using the “gcc-toolchain” package?
>>
>> I reproduce that bug with gcc-toolchain.
>
> If you’re trying to compile for i686, should you not be using the i686
> variant of gcc-toolchain?  You can build it with
>
>     guix build --system=i686-linux gcc-toolchain

How would you install that variant?

> (I don’t really know much about this, but we don’t build GCC with
> multilib support.)

This option is in the gcc manual that we package, so I think it should
be supported.